summarylogtreecommitdiffstats
path: root/openct.rc
diff options
context:
space:
mode:
Diffstat (limited to 'openct.rc')
-rw-r--r--openct.rc38
1 files changed, 38 insertions, 0 deletions
diff --git a/openct.rc b/openct.rc
new file mode 100644
index 000000000000..8f831fddb30c
--- /dev/null
+++ b/openct.rc
@@ -0,0 +1,38 @@
+#!/bin/bash
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+DAEMON=/usr/sbin/openct-control
+NAME=openct
+DESC="Smart Card Terminal Framework"
+
+case "$1" in
+ start)
+ stat_busy "Starting $DESC"
+ $DAEMON init
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon $NAME
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping $DESC"
+ $DAEMON shutdown
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon $NAME
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+exit 0